<nav class="navbar navbar-expand-lg  bg-dark">
  <div class="col-md-2 text-center">
    <a class="navbar-brand" href="" >PIC SIMULATOR</a>
  </div>
  <div class="col-md-10">
    <div class="collapse navbar-collapse" id="navbarText">
      <ul class="navbar-nav mr-auto">
        <li class="nav-item active"><a class="nav-link " routerLink="/editor">Editor</a></li>
        <li class="nav-item"><a class="nav-link" routerLink="/simulator">Simulator</a></li>
        <li class="nav-item dropdown ">
          <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" style="margin-top: 0px;">File</a>
          <div class="dropdown-menu" aria-labelledby="navbarDropdown" >
            <input type="file" name="file" id="file" accept=".asm" class="inputfile" (change)="fileUpload($event)" />
            <label for="file">Open File</label>
            <label class="mouse" (click)="dowloandarchive()">Dowload File</label>
          </div>
        </li>
      </ul>
    </div>
  </div>
</nav>
<nav class="navbar navbar-expand-lg  bg-luz">
  <div class="col-md-12">
    <div class="collapse navbar-collapse" id="navbarText">
      <ul class="navbar-nav space mr-auto" >
        <li class="nav-item"><button class="btn btn-md btn-success btn-block " (click)="runCompiler()">Run Compiler</button></li>
        <li class="nav-item"><button class="btn btn-md btn-block button-color"  data-toggle="modal" data-target="#myModal" (click)="getRealCode()">Get Real Code</button></li>
        <li class="nav-item"><button class="btn btn-md btn-block button-color" (click)="openVerticallyCentered(content)" (click)="getOutputCode()">Get Output Code</button></li>
        <li class="nav-item"><button class="btn btn-md btn-block button-color" (click)="openVerticallyCentered(content)" (click)="getBinaryCode()">Get Binary Code</button></li>
        <li class="nav-item"><button class="btn btn-md btn-block button-color" (click)="openVerticallyCentered(content)" (click)="getEquTable()">Get Equtable</button></li>
        <li class="nav-item"><button class="btn btn-md btn-block button-color" (click)="openVerticallyCentered(content)" (click)="getInstructions()">Get Instructions</button></li>
        <li class="nav-item"><button class="btn btn-md btn-block button-color" (click)="openVerticallyCentered(content)" (click)="getHexInstructions()">Get HexInstructions</button></li>
      </ul>
    </div>
  </div>
</nav>
<div class="content col-md-12 col-lg-12" >
    <div class="col-md-12 col-lg-12" >
     <!--
      <div contenteditable="true" class="editable" id="divEditable">
        <ol >
          <li disabled></li>
        </ol>
      </div>
      -->
      <textarea class="area fondo "  rows="40"  [(ngModel)]="code"></textarea>
    </div>
  <br><br>
</div>

  <!-- The Modal -->
  <ng-template #content let-close="close" let-dismiss="dismiss">
    <div class="modal-header">
      <h4 class="modal-title">{{title}}</h4>
      <button type="button" class="close" aria-label="Close" (click)="dismiss('Cross click')" >
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
    <div class="modal-body">
      <textarea  class="area2" cols="80" rows="25" [disabled]="true" [(ngModel)]="outputCode"></textarea>
      <label>{{outputCode}}</label>
    </div>
    <div class="modal-footer">
      <button type="button" class="btn btn-light" (click)="close('Cross click')">Close</button>
    </div>
  </ng-template>
